package admin.model.deepseek.resp.stream;

import com.google.gson.annotations.SerializedName;
import lombok.Data;

import java.util.List;

/**
 * @author lj
 * @date 2025/2/23 14:50
 */
@Data
public class ChatStreamResponse {
    @SerializedName("id")
    private String id;

    @SerializedName("object")
    private String object; // 固定为 "chat.completion.chunk"

    @SerializedName("created")
    private long created;

    @SerializedName("model")
    private String model;

    @SerializedName("choices")
    private List<StreamChoice> choices;
}
