package admin.model.maxdb;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author lj
 * @date 2025/2/26 12:41
 */
@Data
@Component
@ConfigurationProperties(prefix = "maxdb.screen")
public class MaxdbScreenConfig {
    private String applicationId;
    private String talkUrl;
    private String chatUrl;
    private String apiKey;
}
