package admin.model.maxdb.resp;

import com.google.gson.annotations.SerializedName;
import lombok.Data;

import java.util.List;

/**
 * @author lj
 * @date 2025/2/24 14:26
 */
@Data
public class MaxdbStreamResponse {

    @SerializedName("chat_id")
    private String chatId;

    @SerializedName("chat_record_id")
    private String chatRecordId;

    private Boolean operate;
    private String content;

    @SerializedName("node_id")
    private String nodeId;

    @SerializedName("up_node_id_list")
    private List<String> upNodeIdList;

    @SerializedName("is_end")
    private Boolean isEnd;

    @SerializedName("usage")
    private Usage usage;

    @SerializedName("node_type")
    private String nodeType;

    @SerializedName("runtime_node_id")
    private String runtimeNodeId;

    @SerializedName("view_type")
    private Object viewType;

    @SerializedName("child_node")
    private ChatChildResponse childNode;

    @SerializedName("node_is_end")
    private Boolean nodeIsEnd;

    @SerializedName("real_node_id")
    private String realNodeId;

    @SerializedName("reasoning_content")
    private String reasoningContent;
}
