package admin.model.deepseek.req;

import com.google.gson.annotations.SerializedName;
import lombok.Data;

/**
 * @author lj
 * @date 2025/2/23 13:27
 */
@Data
public class ChatMessage {
    /**
     * 消息的内容
     */
    @SerializedName("content")
    private String content;
    /**
     * 该消息的发起角色，其值为 system user assistant tool
     */
    @SerializedName("role")
    private String role;
    /**
     * 可以选填的参与者的名称，为模型提供信息以区分相同角色的参与者
     */
    @SerializedName("name")
    private String name;
}
