package admin.model.deepseek.resp.error;

import com.google.gson.annotations.SerializedName;
import lombok.Data;

/**
 * @author lj
 * @date 2025/2/23 14:51
 */
@Data
public class Error {
    @SerializedName("code")
    private String code; // 错误码（如 "invalid_api_key"）

    @SerializedName("message")
    private String message;

    @SerializedName("type")
    private String type; // 错误类型（如 "auth_error"）

}
