package admin.model.deepseek.resp.starnd;

import com.google.gson.annotations.SerializedName;
import lombok.Data;

import java.util.List;

/**
 * @author lj
 * @date 2025/2/23 14:36
 */
@Data
public class ChatTextResponse {
    @SerializedName("id")
    private String id;

    @SerializedName("object")
    private String object;

    @SerializedName("created")
    private long created;

    @SerializedName("model")
    private String model;

    @SerializedName("choices")
    private List<CompletionChoice> choices;

    @SerializedName("usage")
    private Usage usage;
}
