package admin.modules.chatgpt.service.dto;

import admin.annotation.Query;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @author wk
* @date 2023-11-27
*/
@Data
public class ChatgptRoleDescQueryCriteria{

    /** 精确 */
    @ApiModelProperty(value = "类别[1=角色对话，2=AI创作，3=首页]")
    @Query
    private Integer classify;

    /** 精确 */
    @Query
    private Integer postStatus;

    @Query(type = Query.Type.INNER_LIKE)
    private String title;

    @Query(type = Query.Type.INNER_LIKE)
    private String description;

    @Query
    private Integer roleId;

    @Query
    private Integer roleTypeId;
}
