/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package admin.modules.chatgpt.service.dto;

import lombok.Data;

import java.io.Serializable;
import java.sql.Timestamp;

/**
* @website https://el-admin.vip
* @description /
* @author wk
* @date 2023-11-27
**/
@Data
public class ChatgptRoleRecordsDto implements Serializable {

            /** 唯一标识，自动递增 */
        private Integer id;

            /** 发送者id */
        private Integer senderId;

            /** 接收者id */
        private Integer receiverId;

            /** 聊天消息的内容 */
        private String message;

            /** 创建时间 */
        private Timestamp createTime;
}
