package admin.modules.chatgpt.service.mapper;

import admin.base.CommonMapper;
import admin.modules.chatgpt.domain.ChatgptRoleRecords;
import admin.modules.chatgpt.service.dto.ChatgptRoleRecordsDto;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
* @author wk
* @date 2023-11-27
*/
@Repository
@Mapper
public interface ChatgptRoleRecordsMapper extends CommonMapper<ChatgptRoleRecords> {

    List<ChatgptRoleRecords> queryRoleSessionListPage(IPage<ChatgptRoleRecords> page,
                                                      @Param("userId") Long userId,
                                                      @Param("roleDescId") Integer roleDescId);

    Integer findByTextCount(Long memberId);

    Integer findBySessionCount(Long memberId);

    Integer findByDialogueCount(Long memberId);

    List<ChatgptRoleRecordsDto> queryTenRecordByUserId(@Param("userId") Integer userId);
}
