package admin.util;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.Getter;

/**
 * @author lj
 * @date 2025/2/27 18:14
 */
@Getter
@AllArgsConstructor
public enum ScreenEnum {

    PH_ADMIN("ph",1),
    PH_LC_ADMIN("ph_lc",2),
    PH_SCREEN("phscreen",3),
    PH_TEST("test",4),
    PH_PYT("pyt",5),
    PH_PYT_LS("pytls",6),
    ZP_GQ("zp_gq",7),
    ADMIN("admin",8),
    ALL_PARK("all",9),
    BLT_ADMIN("blt",10),
    BLT_LC_ADMIN("blt_lc",11),
    BLT_SCREEN("screen",12),
    JS_ADMIN("js",13),
    JS_LC_ADMIN("js_lc",14),
    JS_SCREEN("jsscreen",15),
    HK_ADMIN("hk",16),
    HK_LC_ADMIN("hk_lc",17),
    HK_SCREEN("hkscreen",18),
    JGS_ADMIN("jgs",19),
    JGS_LC_ADMIN("jgs_lc",20),
    JGS_SCREEN("jgsscreen",21),
    BJ_ADMIN("bj",22),
    HZ_ADMIN("hz",23),
    QY_ADMIN("qy",24),
    QYT_ADMIN("qyt",25),
    NC_ADMIN("nc",26),
    YZ_ADMIN("yz",27),
    NK_ADMIN("nk",28);
    private String name;
    private Integer userId;

    public static Integer getByUserName(String userName){
        for(ScreenEnum value:ScreenEnum.values()){
            if(value.name.equals(userName)){
                return value.userId;
            }
        }
        return ScreenEnum.ALL_PARK.userId;
    }
}
